/****************************************************************
 * 应用程序头文件
 * 注意: 用户手动修改
 ****************************************************************/
#ifndef STT_HMIAPP_H_
#define STT_HMIAPP_H_

/**********************
 * 包含文件
 **********************/
#include <iostream>
#include <vector>
#include "type/Types.h"
#include "core/SttObject.h"
#include "base/Interface.h"
/*CUSTOM_HEAD_BEGIN*/

/*CUSTOM_HEAD_END*/

/**********************
 * 命名空间声明
**********************/
using namespace stt;
using namespace std;

#ifdef __cplusplus
extern "C" {
#endif

/**********************
 * 程序入口类
 **********************/
class HmiApp: public HmiAppBase {
public:
	HmiApp(IRuntime * rt);
	virtual ~HmiApp();
	void onInit();
	void construct();
	void onReady();
	void onQuit();
	IPagePtr buildPage(string id, uint8_t mode, STTWidget* target);

/*CUSTOM_CODE_BEGIN*/

/*CUSTOM_CODE_END*/

};

/**********************
 * APPMain
 *********************/
IApplication * AppMain(IRuntime * env, char **argv);
string getAppArgs();

#ifdef __cplusplus
}
#endif

#endif /* STT_HMIAPP_H_ */

